export default {"ownerName":"Google","resources":{"urlNotifications":{"methods":{"publish":{"response":{"$ref":"PublishUrlNotificationResponse"},"parameterOrder":[],"httpMethod":"POST","parameters":{},"scopes":["https://www.googleapis.com/auth/indexing"],"flatPath":"v3/urlNotifications:publish","path":"v3/urlNotifications:publish","id":"indexing.urlNotifications.publish","description":"Notifies that a URL has been updated or deleted.","request":{"$ref":"UrlNotification"}},"getMetadata":{"id":"indexing.urlNotifications.getMetadata","path":"v3/urlNotifications/metadata","description":"Gets metadata about a Web Document. This method can _only_ be used to query\nURLs that were previously seen in successful Indexing API notifications.\nIncludes the latest `UrlNotification` received via this API.","httpMethod":"GET","parameterOrder":[],"response":{"$ref":"UrlNotificationMetadata"},"scopes":["https://www.googleapis.com/auth/indexing"],"parameters":{"url":{"location":"query","description":"URL that is being queried.","type":"string"}},"flatPath":"v3/urlNotifications/metadata"}}}},"parameters":{"key":{"location":"query","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string"},"access_token":{"description":"OAuth access token.","type":"string","location":"query"},"upload_protocol":{"location":"query","description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string"},"prettyPrint":{"description":"Returns response with indentations and line breaks.","type":"boolean","default":"true","location":"query"},"quotaUser":{"location":"query","description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string"},"fields":{"location":"query","description":"Selector specifying which fields to include in a partial response.","type":"string"},"uploadType":{"description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string","location":"query"},"$.xgafv":{"enumDescriptions":["v1 error format","v2 error format"],"location":"query","enum":["1","2"],"description":"V1 error format.","type":"string"},"oauth_token":{"location":"query","description":"OAuth 2.0 token for the current user.","type":"string"},"callback":{"description":"JSONP","type":"string","location":"query"},"alt":{"type":"string","enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query","description":"Data format for response.","default":"json","enum":["json","media","proto"]}},"version":"v3","baseUrl":"https://indexing.googleapis.com/","servicePath":"","description":"The Indexing API allows developers to share the life cycle of a Web Document with Google.","kind":"discovery#restDescription","basePath":"","id":"indexing:v3","documentationLink":"https://developers.google.com/search/apis/indexing-api/","revision":"20180911","discoveryVersion":"v1","version_module":true,"schemas":{"UrlNotificationMetadata":{"id":"UrlNotificationMetadata","description":"Summary of the most recent Indexing API notifications successfully received,\nfor a given URL.","type":"object","properties":{"latestUpdate":{"description":"Latest notification received with type `URL_UPDATED`.","$ref":"UrlNotification"},"url":{"description":"URL to which this metadata refers.","type":"string"},"latestRemove":{"description":"Latest notification received with type `URL_REMOVED`.","$ref":"UrlNotification"}}},"UrlNotification":{"description":"`UrlNotification` is the resource used in all Indexing API calls.\nIt describes one event in the life cycle of a Web Document.","type":"object","properties":{"url":{"description":"The object of this notification. The URL must be owned by the publisher\nof this notification and, in case of `URL_UPDATED` notifications, it _must_\nbe crawlable by Google.","type":"string"},"notifyTime":{"description":"Creation timestamp for this notification.\nUsers should _not_ specify it, the field is ignored at the request time.","format":"google-datetime","type":"string"},"type":{"enumDescriptions":["Unspecified.","The given URL (Web document) has been updated.","The given URL (Web document) has been deleted."],"enum":["URL_NOTIFICATION_TYPE_UNSPECIFIED","URL_UPDATED","URL_DELETED"],"description":"The URL life cycle event that Google is being notified about.","type":"string"}},"id":"UrlNotification"},"PublishUrlNotificationResponse":{"description":"Output for PublishUrlNotification","type":"object","properties":{"urlNotificationMetadata":{"description":"Description of the notification events received for this URL.","$ref":"UrlNotificationMetadata"}},"id":"PublishUrlNotificationResponse"}},"protocol":"rest","icons":{"x16":"http://www.google.com/images/icons/product/search-16.gif","x32":"http://www.google.com/images/icons/product/search-32.gif"},"canonicalName":"Indexing","auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/indexing":{"description":"Submit data to Google for indexing"}}}},"rootUrl":"https://indexing.googleapis.com/","ownerDomain":"google.com","name":"indexing","batchPath":"batch","fullyEncodeReservedExpansion":true,"title":"Indexing API"};